io.etcd.jetcd.lease

## Class LeaseKeepAliveResponseWithError

- java.lang.Object
- - io.etcd.jetcd.lease.LeaseKeepAliveResponseWithError

    public class LeaseKeepAliveResponseWithError
    extends Object

### Field Summary

Fields
`io.etcd.jetcd.common.exception.EtcdException` `error`
`LeaseKeepAliveResponse` `leaseKeepAliveResponse`

### Constructor Summary

Constructors
Constructor and Description
`LeaseKeepAliveResponseWithError(io.etcd.jetcd.common.exception.EtcdException e)`
`LeaseKeepAliveResponseWithError(LeaseKeepAliveResponse leaseKeepAliveResponse)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### leaseKeepAliveResponse

    public LeaseKeepAliveResponse leaseKeepAliveResponse

#### error

    public io.etcd.jetcd.common.exception.EtcdException error

### Constructor Detail

#### LeaseKeepAliveResponseWithError

    public LeaseKeepAliveResponseWithError(LeaseKeepAliveResponse leaseKeepAliveResponse)

#### LeaseKeepAliveResponseWithError

    public LeaseKeepAliveResponseWithError(io.etcd.jetcd.common.exception.EtcdException e)